Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.past.rawserialization
Class JavaPastContentDeserializer

    java.lang.Object
      rice.p2p.past.rawserialization.JavaPastContentDeserializer

All Implemented Interfaces:
  PastContentDeserializer

    public class JavaPastContentDeserializer

extends java.lang.Object
implements PastContentDeserializer

uses p2p.util.JavaDeserializer to deserialize ScribeContent using Java Serialization

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  Jeff Hoye

Constructor Summary
`JavaPastContentDeserializer()` Constructor for JavaPastContentDeserializer.

Method Summary
`PastContent` | `deserializePastContent(InputBuffer buf, Endpoint endpoint, short contentType)` DESCRIBE THE METHOD

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaPastContentDeserializer

    public JavaPastContentDeserializer()

  Constructor for JavaPastContentDeserializer.

Method Detail

### deserializePastContent

    public PastContent deserializePastContent(InputBuffer buf,
                                              Endpoint endpoint,
                                              short contentType)
                                       throws java.io.IOException

  DESCRIBE THE METHOD

  Specified by:
    `deserializePastContent` in interface `PastContentDeserializer`
  Parameters:
    `buf` - DESCRIBE THE PARAMETER
    `endpoint` - DESCRIBE THE PARAMETER
    `contentType` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE
  Throws:
    `java.io.IOException` - DESCRIBE THE EXCEPTION

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.